 PROGRAM  mesh2d

  USE grid_2d
  
  USE mesh_project

  IMPLICIT NONE

  INTEGER     , PARAMETER :: unit     = 12
  INTEGER     , PARAMETER :: flowunit = 40
  INTEGER     , PARAMETER :: ipar5    = 15
 
   ! Fill project_name and project_path of mesh_project module
   CALL init_project() 
   
   CALL init_boundary(13, 14, 15, project_path, project_name)    ! 13,14,15 are just 3 I/O unit numbers
    
   CALL build_grid(1, project_path, project_name)
          
   CALL save_grid(1, project_path, project_name)    
      !  1_st switch:
      !  < 0 no metric plot; = 0 metric plot; = 1 ellipse plot; = 2 length plot
      !  2_nd switch:
      !  = 0 no back_grid plot; = 1 back_grid plot
      !  3_rd switch:
      !  = 0 no external_grid  plot; = 1 external_grid plot

   CALL plot_grid(1, project_path, project_name, -1, 1, 1)    
   
 END PROGRAM mesh2d
